<?php

/** @noinspection PhpMissingReturnTypeInspection */

namespace DBTech\StripeCheckout\XF\Admin\Controller;

use XF\Entity\PaymentProfile;
use XF\Entity\PaymentProvider;
use XF\Mvc\FormAction;

/**
 * @extends \XF\Admin\Controller\PaymentProfileController
 */
class PaymentProfileController extends XFCP_PaymentProfileController
{
	protected function profileSaveProcess(PaymentProfile $profile, PaymentProvider $provider)
	{
		$form = parent::profileSaveProcess($profile, $provider);

		if ($provider->provider_id === 'stripe')
		{
			$dbtechOptions = $this->filter('dbtech_stripe_options', 'array');

			$form->validate(function (FormAction $form) use ($profile, $provider, $dbtechOptions)
			{
				$options = \array_merge($profile->options, $dbtechOptions);
				//				$options['dbtech_stripe_payment_method_types'] = $paymentMethodTypes;

				$profile->set('options', $options, ['forceSet' => true]);
			});
		}

		return $form;
	}
}