<?php

/** @noinspection PhpMissingReturnTypeInspection */

namespace DBTech\StripeCheckout\XF\Payment;

use XF\Entity\PurchaseRequest;
use XF\Mvc\Controller;
use XF\Purchasable\Purchase;

/**
 * @extends \XF\Payment\Stripe
 */
class Stripe extends XFCP_Stripe
{
	protected function getCheckoutSessionParams(
		Controller $controller,
		PurchaseRequest $purchaseRequest,
		Purchase $purchase
	): array
	{
		$params = parent::getCheckoutSessionParams(
			$controller,
			$purchaseRequest,
			$purchase
		);

		$params['payment_method_types'] = $stripeCheckoutOptions['stripe_checkout_payment_method_types'] ?? ['card'];

		return $params;
	}
}